//名前空間オブジェクト
var extform = new Object();
extform.FormController = Class.create();

extform.FormController.prototype = {
    form: null,
    // コンストラクタ
    initialize: function(name) {
        // A：ページがロードされた
	Event.observe(window, 'load', function(){
            // A－1：Extでフォームをリッチに表示するようにビューに依頼
	    this.form = extform.FormView.applyExt();
            // A－2：都道府県が選択されたときのイベントハンドラの登録
	    this.form.findField('pref').on('select', this.onSelectPref, this);
            // A－3：送信ボタンが押されたときのイベントハンドラの登録
	    Event.observe('send', 'click', this.onClickSend.bind(this));
	}.bind(this));
    },
    // B：都道府県が選択された
    onSelectPref: function(event, target) {
        // B-1: 対応する市町村を表示するように依頼
	extform.FormView.changeCity(this.form, 
				    'cities/' + target.data.value + '.json');
    },
    // C：送信ボタンが押された
    onClickSend: function() {
        // C-1: 送信内容をダイアログ内で表示するように依頼
	extform.FormView.send(this.form);
    }
}

new extform.FormController();
